@REM IBM Confidential OCO Source Material
@REM 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70 (C) COPYRIGHT International Business Machines Corp. 1997, 2008
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.

@REM configures WebSphere Plug-in for Domino7 WebServer

@echo off
@setlocal
@REM usage: configureDomino7Plugin 

call "%~dp0setupCmdLine.bat" %*

set  INSTALL_ARCH="32"
set  OS_NAME="windows"
set  PLUGIN_INSTALL_TYPE="remote"
set  WEBSERVER_NAME="webserver1"
set  PLUGIN_HOME=""
set  PLUGIN_CONFIG_XML=""
set  DOMINO7_NOTES_USER=""
set  DOMINO7_NAMES_CONF=""
set  DOMINO7_NOTES_CONF=""

:parse
if "%1"=="-plugin.home"           goto plugin.home
if "%1"=="-plugin.config.xml"     goto plugin.config.xml
if "%1"=="-WAS.webserver.name"    goto WAS.webserver.name
if "%1"=="-domino7.names.conf"    goto domino7.names.conf
if "%1"=="-domino7.notes.conf"    goto domino7.notes.conf
if "%1"=="-domino7.notes.user"    goto domino7.notes.user
if "%1"=="-operating.system.arch" goto operating.system.arch
if "%1"==""                       goto print
goto error

:plugin.home
shift
set PLUGIN_HOME=%1
goto recursive

:plugin.config.xml
shift
set PLUGIN_CONFIG_XML=%1
goto recursive

:WAS.webserver.name
shift
set PLUGIN_WEBSERVER_NAME=%1
goto recursive

:domino7.notes.user
shift
set DOMINO7_NOTES_USER=%1
goto recursive

:domino7.names.conf
shift
set DOMINO7_NAMES_CONF=%1
goto recursive

:domino7.notes.conf
shift
set DOMINO7_NOTES_CONF=%1
goto recursive

:operating.system.arch
shift
set INSTALL_ARCH=%1
goto recursive

:recursive
shift
goto parse
goto done

:print
if %PLUGIN_HOME%        == "" goto error
if %PLUGIN_CONFIG_XML%  == "" goto error
if %DOMINO7_NOTES_USER% == "" goto error
if %DOMINO7_NAMES_CONF% == "" goto error
if %DOMINO7_NOTES_CONF% == "" goto error
if %WEBSERVER_NAME%     == "" goto error
if %INSTALL_ARCH%       == "" goto error

echo WAS_PLUGIN_HOME       = %PLUGIN_HOME%
echo WAS_PLUGIN_CONFIG_XML = %PLUGIN_CONFIG_XML%
echo DOMINO7_NOTES_USER    = %DOMINO7_NOTES_USER%
echo DOMINO7_NAMES_CONF    = %DOMINO7_NAMES_CONF%
echo DOMINO7_NOTES_CONF    = %DOMINO7_NOTES_CONF%
echo WEBSERVER_NAME        = %WEBSERVER_NAME%
echo INSTALL_ARCH          = %INSTALL_ARCH%

:done
%PLUGIN_HOME%\bin\ws_ant -f %PLUGIN_HOME%\config\actionRegistry\actions\99SBootStrapPluginsDomino7.ant -DPLUGIN_HOME=%PLUGIN_HOME% -DWAS_PLUGIN_CFG_XML=%PLUGIN_CONFIG_XML% -DOS_NAME=%OS_NAME%  -DDOMINO7_NOTES_USER=%DOMINO7_NOTES_USER% -DDOMINO7_NAMES_CONF=%DOMINO7_NAMES_CONF%  -DDOMINO7_NOTES_CONF=%DOMINO7_NOTES_CONF% -DINSTALL_ARCH=%INSTALL_ARCH% -DPLUGIN_INSTALL_TYPE=%PLUGIN_INSTALL_TYPE% -DWEBSERVER_NAME=%WEBSERVER_NAME% -DWEBSERVER_TYPE=DOMINO -DWEBSERVER_SELECTED=domino7
goto end

:error
echo.  
echo.  
echo Usage: configureDomino7Plugin.bat 
echo           -plugin.home         ^<pluginInstallRoot^>
echo           -plugin.config.xml   ^<pluginConfigFile^>
echo           -domino7.notes.user  ^<notesUserLogin^>
echo           -domino7.names.conf  ^<dominoNamesNamesConf^>
echo           -domino7.notes.conf  ^<dominoNotesJar^>
echo           [-WAS.webserver.name ^<webserverName^>]
echo           [-operating.system.arch ^<architecture^>]
echo.  
echo Where:
echo     plugin.home is the plugin install root
echo     plugin.config.xml is the full path name of the plugin-config.xml file
echo     domino7.notes.user is the login name of user that runs Domino instance
echo     domino7.names.conf is the full path name of the Domino7 names.nsf file
echo     domino7.notes.conf is the full path name of the Domino7 Notes.jar file
echo     WAS.webserver.name is the name of the webserver as defined 
echo         in the WebSphere admin console. Default is webserver1
echo     operating.system.arch is the architecture of the operating system
echo         Possible values are : 32 or 64. Default is 32
echo.  
echo Domino7 Example: 
echo     configureDomino7Plugin.bat -plugin.home c:\WebSphere\Plugins
echo        -plugin.config.xml c:\WebSphere\Plugins\config\plugin-cfg.xml
echo        -domino7.notes.user administrator
echo        -domino7.names.conf c:\lotus\notes\data\names.nsf
echo        -domino7.notes.conf c:\lotus\notes\conf\notes.jar
echo        -WAS.webserver.name webserver2
echo        -operating.system.arch 64
echo.  
echo.  		
		
:end
@endlocal
