@REM 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70 (C) COPYRIGHT International Business Machines Corp. 2007
@REM All Rights Reserved * Licensed Materials - Property of IBM                                     

@REM configures WebSphere Plug-in for IHS WebServer

@echo off

@REM usage: configureIHSPlugin 
@setlocal
call "%~dp0setupCmdLine.bat" %*

set  OS_NAME="windows"
set  INSTALL_ARCH="32"
set  PLUGIN_INSTALL_TYPE="remote"
set  WEBSERVER_NAME="webserver1"
set  PLUGIN_HOME=""
set  IHS_CONF=""
set  PLUGIN_CONFIG_XML=""

:parse
if "%1"=="-plugin.home"           goto plugin.home
if "%1"=="-plugin.config.xml"     goto plugin.config.xml
if "%1"=="-WAS.webserver.name"    goto WAS.webserver.name
if "%1"=="-ihs.conf"              goto ihs.conf
if "%1"=="-operating.system.arch" goto operating.system.arch
if "%1"==""                       goto print
goto error

:plugin.home
shift
set PLUGIN_HOME=%1
goto recursive

:plugin.config.xml
shift
set PLUGIN_CONFIG_XML=%1
goto recursive

:WAS.webserver.name
shift
set WEBSERVER_NAME=%1
goto recursive

:ihs.conf
shift
set IHS_CONF=%1
goto recursive

:operating.system.arch
shift
set INSTALL_ARCH=%1
goto recursive

:recursive
shift
goto parse
goto done

:print
if %PLUGIN_HOME% == ""        goto error
if %PLUGIN_CONFIG_XML% == ""  goto error
if %IHS_CONF% == ""           goto error
if %WEBSERVER_NAME% == ""     goto error
if %INSTALL_ARCH% == ""       goto error

echo PLUGIN_HOME         = %PLUGIN_HOME%
echo PLUGIN_CONFIG_XML   = %PLUGIN_CONFIG_XML%
echo IHS_CONF_FILE       = %IHS_CONF%
echo WEBSERVER_NAME      = %WEBSERVER_NAME%
echo INSTALL_ARCH        = %INSTALL_ARCH%

:done
%PLUGIN_HOME%\bin\ws_ant -f %PLUGIN_HOME%\config\actionRegistry\actions\99SBootStrapPluginsIHS.ant -DPLUGIN_HOME=%PLUGIN_HOME% -DOS_NAME=%OS_NAME% -DIHS_CONF=%IHS_CONF% -DWAS_PLUGIN_CFG_XML=%PLUGIN_CONFIG_XML% -DINSTALL_ARCH=%INSTALL_ARCH% -DPLUGIN_INSTALL_TYPE=%PLUGIN_INSTALL_TYPE% -DWEBSERVER_NAME=%WEBSERVER_NAME% -DWEBSERVER_TYPE=IHS
goto end

:error
echo.
echo.
echo Usage: configureIHSPlugin.bat 
echo           -plugin.home           ^<pluginInstallRoot^>
echo           -plugin.config.xml     ^<pluginConfigFile^> 
echo           -ihs.conf              ^<httpdConfFile^> 
echo          [-WAS.webserver.name    ^<webserverName^>]
echo          [-operating.system.arch ^<architecture^> ]
echo          [-help ]
echo.
echo Where:
echo     plugin.home        is the plugin install root
echo     plugin.config.xml  is the full path name of the plugin-config.xml file
echo     ihs.conf           is the the full path name of the IHS web server
echo         configuration file (httpd.conf)
echo     WAS.webserver.name is the name of the webserver as defined in WebSphere 
echo         admin console. Default is webserver1
echo     operating.system.arch is the architecture of the operating system
echo         Possible values are : 32 or 64. Default is 32
echo.
echo IHS Example: 
echo     configureIHSPlugin.bat -plugin.home c:\WebSphere\Plugins
echo       -plugin.config.xml c:\WebSphere\Plugins\config\webserver1\plugin-cfg.xml
echo       -ihs.conf c:\IHS\conf\httpd.conf
echo       -WAS.webserver.name webserver2
echo       -operating.system.arch 64
echo.
echo.

:end
@endlocal
