@REM IBM Confidential OCO Source Material
@REM 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70 (C) COPYRIGHT International Business Machines Corp. 1997, 2008
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.

@REM configures WebSphere Plug-in for IIS6 WebServer

@echo off
@setlocal
@REM usage: configureIIS6Plugin 

call "%~dp0setupCmdLine.bat" %*

set INSTALL_ARCH="32"
set PLUGIN_CONFIGURE_IIS6="TRUE"
set PLUGIN_INSTALL_TYPE="remote"
set WEBSERVER_NAME="webserver1"
set PLUGIN_HOME=""
set PLUGIN_CONFIG_XML=""

:parse
if "%1"=="-plugin.home"           goto plugin.home
if "%1"=="-plugin.config.xml"     goto plugin.config.xml
if "%1"=="-WAS.webserver.name"    goto WAS.webserver.name
if "%1"=="-operating.system.arch" goto operating.system.arch
if "%1"==""                       goto print
goto error

:plugin.home
shift
set PLUGIN_HOME=%1
goto recursive

:plugin.config.xml
shift
set PLUGIN_CONFIG_XML=%1
goto recursive

:WAS.webserver.name
shift
set WEBSERVER_NAME=%1
goto recursive

:operating.system.arch
shift
set INSTALL_ARCH=%1
goto recursive

:recursive
shift
goto parse
goto done

:print
if %PLUGIN_HOME% == ""       goto error
if %PLUGIN_CONFIG_XML% == "" goto error
if %WEBSERVER_NAME% == ""    goto error
if %INSTALL_ARCH% == ""      goto error

echo WAS_PLUGIN_HOME     = %PLUGIN_HOME%
echo PLUGIN_CONFIG_XML   = %PLUGIN_CONFIG_XML%
echo WEBSERVER_NAME      = %WEBSERVER_NAME%
echo INSTALL_ARCH        = %INSTALL_ARCH%

:done
%PLUGIN_HOME%\bin\ws_ant -f %PLUGIN_HOME%\config\actionRegistry\actions\99SBootStrapPluginsIIS6.ant -DPLUGIN_HOME=%PLUGIN_HOME% -DWAS_PLUGIN_CFG_XML=%PLUGIN_CONFIG_XML% -DPLUGIN_INSTALL_TYPE=%PLUGIN_INSTALL_TYPE% -DPLUGIN_CONFIGURE_IIS6=%PLUGIN_CONFIGURE_IIS6% -DINSTALL_ARCH=%INSTALL_ARCH% -DWEBSERVER_NAME=%WEBSERVER_NAME% -DWEBSERVER_TYPE=IIS
goto end

:error
echo.
echo.
echo Usage: configureIIS6Plugin.bat
echo           -plugin.home           ^<pluginInstallRoot^>
echo           -plugin.config.xml     ^<pluginConfigFile^> 
echo          [-WAS.webserver.name    ^<webserverName^>]
echo          [-operating.system.arch ^<architecture^> ]
echo          [-help ]
echo.
echo Where:
echo     plugin.home        is the plugin install root
echo     plugin.config.xml  is the full path name of the plugin-config.xml file
echo     WAS.webserver.name is the name of the webserver as defined in WebSphere 
echo         admin console. Default is webserver1
echo     operating.system.arch is the architecture of the operating system
echo         Possible values are : 32 or 64. Default is 32
echo.
echo IIS6 Example: 
echo     configureIIS6Plugin.bat -plugin.home c:\WebSphere\Plugins"
echo       -plugin.config.xml c:\WebSphere\Plugins\config\webserver1\plugin-cfg.xml"
echo       -WAS.webserver.name webserver2 
echo       -operating.system.arch 64"
echo.
echo.

:end
@endlocal
