@REM 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70 (C) COPYRIGHT International Business Machines Corp. 2007
@REM All Rights Reserved * Licensed Materials - Property of IBM                                     

@REM configures WebSphere Plug-in for SunOne WebServer

@echo off
@setlocal
@REM usage: configureSunOnePlugin 

call "%~dp0setupCmdLine.bat" %*

set  OS_NAME="windows"
set  INSTALL_ARCH="32"
set  PLUGIN_INSTALL_TYPE="remote"
set  WEBSERVER_NAME="webserver1"
set  PLUGIN_HOME=""
set  PLUGIN_CONFIG_XML=""
set  SUNONE_MAGNUS_CONF=""
set  SUNONE_MAGNUS_OBJ=""

:parse
if "%1"=="-plugin.home"           goto plugin.home
if "%1"=="-sunone.magnus.obj"     goto sunone.magnus.obj
if "%1"=="-sunone.magnus.conf"    goto sunone.magnus.conf
if "%1"=="-plugin.config.xml"     goto plugin.config.xml
if "%1"=="-WAS.webserver.name"    goto WAS.webserver.name
if "%1"=="-operating.system.arch" goto operating.system.arch
if "%1"==""                       goto print
goto error

:plugin.home
shift
set PLUGIN_HOME=%1
goto recursive

:sunone.magnus.obj
shift
set SUNONE_MAGNUS_OBJ=%1
goto recursive

:sunone.magnus.conf
shift
set SUNONE_MAGNUS_CONF=%1
goto recursive

:plugin.config.xml
shift
set PLUGIN_CONFIG_XML=%1
goto recursive

:WAS.webserver.name
shift
set WEBSERVER_NAME=%1
goto recursive

:operating.system.arch
shift
set INSTALL_ARCH=%1
goto recursive

:recursive
shift
goto parse
goto done

:print
if %PLUGIN_HOME% == ""       goto error
if %PLUGIN_CONFIG_XML% == "" goto error
if %SUNONE_MAGNUS_OBJ% == "" goto error
if %SUNONE_MAGNUS_CONF%==""  goto error
if %INSTALL_ARCH%== ""       goto error
if %WEBSERVER_NAME% == ""    goto error

echo WAS_PLUGIN_HOME    = %PLUGIN_HOME%
echo INSTALL_ARCH       = %INSTALL_ARCH%
echo WEBSERVER_NAME     = %WEBSERVER_NAME%
echo PLUGIN_CONFIG_XML  = %PLUGIN_CONFIG_XML%
echo SUNONE_MAGNUS_OBJ  = %SUNONE_MAGNUS_OBJ%
echo MAGNUS_CONFIG_FILE = %SUNONE_MAGNUS_CONF%

:done
%PLUGIN_HOME%/bin/ws_ant -f %PLUGIN_HOME%\config\actionRegistry\actions\99SBootStrapPluginsSunOne.ant -DPLUGIN_HOME=%PLUGIN_HOME% -DOS_NAME=%OS_NAME% -DSUNONE_OBJ_CONF=%SUNONE_OBJ_CONF% -DSUNONE_MAGNUS_CONF=%SUNONE_MAGNUS_CONF% -DWAS_PLUGIN_CFG_XML=%PLUGIN_CONFIG_XML% -DINSTALL_ARCH=%INSTALL_ARCH% -DPLUGIN_INSTALL_TYPE=%PLUGIN_INSTALL_TYPE% -DWEBSERVER_NAME=%WEBSERVER_NAME% -DWEBSERVER_TYPE=SUNJAVASYSTEM
goto end

:error
echo.
echo.
echo Usage: configureSunOnePlugin.bat 
echo           -plugin.home           ^<pluginInstallRoot^>
echo           -plugin.config.xml     ^<pluginConfigFile^>
echo           -sunone.obj.conf       ^<sunOneObjConfFile^>
echo           -sunone.magnus.conf    ^<sunOneMagnusConfFile^>
echo          [-WAS.webserver.name    ^<webserverName^>]
echo          [-operating.system.arch ^<architecture^> ]
echo          [-help ]
echo.
echo Where:
echo     plugin.home is the plugin install root
echo     plugin.config.xml is the full path name of the plugin-config.xml file
echo     sunone.obj.conf is the the full path name of the 
echo           SunOne web server obj.conf file
echo     sunone.magnus.conf is the the full path name of the 
echo           SunOne web server magnus.conf file
echo     WAS.webserver.name is the name of the webserver as defined 
echo         in the WebSphere admin console. Default is webserver1
echo     operating.system.arch is the architecture of the operating system
echo         Possible values are : 32 or 64. Default is 32
echo.
echo SunOne Example: 
echo     configureSunOnePlugin.bat -plugin.home c:\WebSphere\Plugins
echo       -plugin.config.xml c:\WebSphere\Plugins\config\webserver1\plugin-cfg.xml 
echo       -sunone.obj.conf c:\SUNONE\conf\obj.conf
echo       -sunone.magnus.conf magnus.conf
echo       -WAS.webserver.name webserver2  
echo       -operating.system.arch 64
echo.
echo.

:end
@endlocal
